# 自己紹介

自己紹介では、自分の紹介と、何をやっているか、何をやっていきたいかを明確にします。

長くてはいけません。できれば1行で動画の枠に収まるよう短くします。配色も考えておきます。

## 名前

`syui`という名前で活動していること。youtubeチャンネルが`syai`となっている理由。`syui`という名前は既に他の人が使っており、選択できなかったので、使用するキャラクターの`ai`を合体させた名前。または`syui.ai`というドメインの略。

[youtube](/project/01_youtube.html)に関しては、ゲーム制作を紹介したり、活動していく上で必要かもしれないので、考えを残しておくことにします。

## ゲーム開発

目指すゲームは、現実をゲームに反映すること。

最初に取り掛かったのはゲーム作りそのものではなく、現実をゲームに反映するためのアカウントシステムを考えることだった。

## なぜアカウントが重要

これからのゲームは、ゲーム性よりも、より個人に近いアカウントが重要になると考えている。

どれほどすごいゲーム、面白いゲームでも、その記録が残らないのは悲しい。

ゲーム作りで最も重要、最初に始めるべきことはなんだろう。

私は記録(を残す)システムを作ることだと思った。

より現実の個人に近いアカウントにゲームプレイの内容が反映される方法を考え、実装することにした。

## 記録装置を作ったあとは

記録するシステム、つまりアカウントシステムを作ったあとは、特徴のあるゲームを作ろうと思った。

特徴のあるゲームとは「このゲームは何なのか、他のゲームとの違いは」を一言で表すことができる。

例えば、立ち絵一つで表現できればそれで合格だと思っている。ゼルダや原神、ゲームのパッケージを見れば作品のことがひと目で分かる。

既存のゲームをそのまま真似してそっくりなものを作っても意味がない。

誰にでも好きなものはあるはずで、原点がある。それは普遍的、自然的なもの。そういったものの組み合わせ。

私の場合は`宇宙`だった。宇宙とアイ、一枚の青写真を描いた。

## 宇宙とアイ

ゲームは基本的に平面で作られていて、それはどこまで行っても地平線が広がっているだけの世界。月や太陽があっても背面の絵を動かしているだけだったりする。

このゲームは現実の反映を目指している。だからマップを作る際も現実に合わせた形にすることを目指す。空の上を高く高く飛んでいくと、そこには大気圏が広がり、それを抜けると宇宙に出られる。そこには実際に行ける月があり、太陽がある。全てはつながっていて、そこに行くことができる世界を目指します。これを`planet system`と呼んでいる。

ゲームプレイ中に行けないような場所、見えないようなところもちゃんと作る。そのような思いで開発に取り組む。

## 体験はどこに

体験はどこに帰属し、どこにあるのだろう。

私は、プレイヤーが持つ唯一性だと思う。だから、このゲームでは、プレイヤーはゲーム内で唯一性を持つようにしたいと考えている。

しかし、これは難しい。よって、現実的に可能な範囲で、プレイヤーがゲーム内で唯一性を持てるようにすること。現実世界とゲームを強く結びつけることを目指していきたい。

例えば、ゲーム内キャラクター追加に関するルールがある。vtuberのような個人モデルを持つ者が申請でき、申請が通ると新たなキャラクターが追加される。キャラクターは原則通りの1攻撃、1スキル、1バーストというステータスを持つ。ただし、本人にしか使えないユニークスキルがあり、それは一人のプレイヤーにしか使えない。

## システム

現在作っているシステムを紹介。システム名は今後変更されるかもしれない。

- `at system`: atproto(atmosphere)を採用するアカウントシステム
- `yui system`: プレイヤーの唯一性を担保するためのシステム
- `ai system`: キャラクターの属性に関するシステム。キャラクターは1つの属性を持つ。原子、陽子、中性子など。
- `planet system`: 宇宙の物理方式(マップ)を目指すシステム

## 物語

物語はこの世界で最も小さい物質の探求から始まる。

量子というものがある。観測すると結果が変わるらしい。でもじつは違う。結果が変わるのは物質が当たるからだ。物質が当たると結果が変わるのは当然のこと。物質を小さくしていくと、それは意識の領域に到達する。それは物質でもあり、意識でもあった。特に違いはない。そして、これ以上分割できない最小単位、この世界で最も小さい物質を「存在の意識」という。つまり、物質は意識が集まってできている。これをアイと名付けよう。

キャラクターの属性について

各属性は1つの次属性と関連反応を起こし、ダメージ倍率が変換します。属性には原子核、陽子、電子、中性子、アクシオン、クォークなどがあります。

```json
{
	"system": {
		"text": "各システムの名前と概要",
		"body": "現実をゲームに反映",
		"enum": [ "ai", "yui", "at", "planet","story" ],
		"ai": {
			"text": "ability",
			"lang": {
				"ja": "属性"
			},
			"body": "キャラクターの属性。キャラクターは1属性を持つ",
			"enum": [ "ai", "yui", "axion", "quark", "atom", "proton", "neutron", "atomic", "electron" ]
		},
		"yui": {
			"text": "unique",
			"lang": {
				"ja": "唯一性"
			},
			"body": "プレイヤーの唯一性。ユニークスキル"
		},
		"at": {
			"text": "account",
			"lang": {
				"ja": "アカウント"
			},
			"body": "ゲームのプレイ履歴はat protocolのpdsに保存される",
			"tag": [ "atproto", "atmosphere", "@", "bluesky" ]
		},
		"planet": {
			"text": "map",
			"lang": {
				"ja": "マップ"
			},
			"body": "惑星形式でマップを作る"
		}
	}
}
```


