# 最初の体験

どんな作品でも一番重要なのが第一話だと思う。それはゲームであっても変わらない。

だからゲーム開発では、最初の体験にそのゲームのすべてを詰め込まなければならない。

ただ詰め込むだけではなく、そのゲームでできることや考え方、何を楽しめばいいのかをプレイヤーにちゃんと伝えるということ。

このゲームではミッション(mission)というシステムを作り実現を目指す。ゲームを開始するとミッションがあり、ミッションをクリアするまでが第一話となる。

```json
{
	"system": {
		"enum": [ "ai", "yui", "at", "planet", "mission" ],
		"mission": {
			"text": "story",
			"lang": {
				"ja": "物語"
			},
			"body": "物語はこの世界で最も小さい物質の探求から始まる"
		}
	}
}
```

## 最初のミッションは月に行くこと

プレイヤーは最初、アイというキャラクターを扱うことになる。物語があり、アイを使って月に行き、ボスを倒すとクリアとなる。

ボスのドロップアイテムは個人のsnsアカウントに保存される。と同時にゲーム内でも確認できる。例えば、アイの家には白い机と椅子があり、獲得したものは机に置かれる。

ここまでで、このゲームではどんな事ができるのか、何をテーマにしているのか伝えることができると思う。

1. blueskyのアカウントでログイン
2. ミッション月に行く
3. ボス戦
4. 獲得したアイテムをアカウントに反映

ちなみに、物語はこんな構成(シーン)を考えている。

> 幻獣(動物)たちが宇宙船の中にある檻に入れられているようだ。黄色い光が窓の外に見えたような気がした。
>
> 「ぼくたちどうなっちゃうのかな」「あれ、今なんか光ったよ」「お前そんなこと言ってる場合か」
>
> 動物たちはお互いを知っているようだった。
>
> しばらくすると、船内、外の見張りがざわつきだした。
>
> 「おい、あれが出たって？交渉はどうなってる」と慌てている様子だ。
>
> 船内が大きく揺れ、遠くで爆発が起こる。
>
> そして、地面が傾き、宇宙船は下の星に落ちていった。
>
> 動物たちは小さな浜辺にいた。橋が見える。大きな街があるようだ。
>
> 「助けを求めよう」「でも怖い人達だったらどうしよう」
>
> そんな話をしながら橋を歩いた。
>
> するとみすぼらしい身なりの人間の子供が道路の真ん中で寝転んでいる。寝ているようだ。
>
> 「あれこんなところに人がいるよ」「こんな子どもが放置されてるなんて、この星は大丈夫か」「え、きみあれが人間の子供だってよくわかったね。ぼくなんてみんな同じに見える」
>
> 動物たちは寝ている子どもを通り越して街に向かった。
>
> 数時間前...。
>
> ドライ「ねえ、ぼくのいとこが誘拐されたみたいなんだ。今君がいるところの上の方を飛んでるらしい。なんとかしてよ」
>
> アイ「うん、いいよ」

