# ロードマップ

ポケモン初代を徹底的に分解してゲームの面白さを探求しようと思う。

ポケモン初代はある程度の自由度はあるものの、やること、次に行く場所が非常に明白なゲームになっている。街があり、その街にジムがある。倒すとバッジがもらえる。集めるとチャンピオンリーグに参加できる。街と街は一本道で構成されている。ここまでならどのゲームでも良くありそうだ。しかし、以外とこういったシンプルなものを実装できているゲームは少ない。また、普通に進んでいけばゲームを楽しくプレイできる工夫もある。

もう一つポケモンには他には真似できない要素がある。それがポケモンであり、ポケモンというのはキャラクターだ。あれほど多くのキャラクターを実装しているゲームは少ない。

これらの要素を自分のゲームに徹底的に取り入れる。そういった事を考えている。もちろん、真似する部分は表面的なところではない。その根源に隠された考え方の部分だ。

例えば、キャラクターをあれほど多く実装することは普通できない。だからポケモンでは技やタイプというものを作り、それを共通させることで圧縮を図っているのだと思う。そのような工夫をすることで、冒険には常に新しいキャラクターと出会えるワクワクが生み出せる。

つまり、ここで参考にすべき考え方というのは「常にワクワクを生み出せる仕組みづくり」「他に真似できない部分を作る」「普通はできないことを工夫によって実現する」ということ。

だから、そのままポケモンに似たモンスターを登場させ、それを捕まるモンスターボールを使って、プレイヤーがモンスターを使役する、という表面的なところだけ真似しても仕方ないと思う。それではただポケモンの劣化版が生まれるだけだろう。それでも大変なことだとは思うけど、自分のやりたいことではないので、取り入れるとしたら考え方の部分だと思う。

色々と考えはあるものの、まずはプロトタイプでも作らないと話にならないので、次はこの辺をやっていこうと思う。

1. 次に行く場所を明確にする
2. やることが決まっている
3. 自然とプレイヤーに違いが生まれる仕組み
4. 「常にワクワクを生み出せる仕組み」「真似できない部分はあるか」「できないことを工夫で実現」

## 世界と平和

ポケモンの世界は、平和である。動物と人間が共存しており、自然がある。街のシステムも完成されている。

もちろん、モンスターボールで捉えられるポケモンがかわいそうなどの意見はあると思うが、そういった哲学的な話はさておき、人間にとって平和な世界である事が重要だと思う。

そして、これは設定の問題だ。哲学の問題ではない。もちろん、考えさせられる部分はあってもいいが、ゲームはそれを目的としていない。

普通の人間がプレイする価値観を基準に考える。

## 博士

ポケモン博士にポケモンをもらって旅に出る。ライバルがいる。

## 悪の組織

そんな平和な世界にもロケット団という悪が存在する。これも設定の話なので、何が悪で何が善であるという問題ではない。悪の組織と設定されたのがロケット団であり、ロケット団はポケモンを自らの権力拡大の道具に使っている。

その組織を一人で壊滅させるのが主人公の役割。そして、これは冒険の目的ではない。

冒険の目的はチャンピオンになること。(またはポケモン図鑑)

## チャンピオン

最後のジムリーダーはロケット団のボスだった。主人公に敗北したサカキが故郷(昔の古巣)に戻っていた。

最後のバッジを集めた主人公はポケモンリーグに向かうことになる。

伝説のドラゴンタイプを使う四天王のマサルを倒して終わったと思ったら新チャンピオンになったばかりのライバルが登場する。

ライバルは主人公と同じ時期に旅に出た幼馴染でマサラタウンの地で家が隣だった人物。

## ピカチュウとミュウツー

最初の盛り上げポイントとして、でんきタイプのピカチュウを置いたのは意図的だったのかも。

まず、一番最初に登場する唯一のでんきタイプ、かつ遭遇率も低めに設定されているのがピカチュウだった。とはいえ、今のように一番人気のポケモンになるとは思ってなかったと思う。

ポケモンにはいくつか盛り上げポイントが設定されている。伝説の3鳥やドラゴンタイプ、そして、ミュウツーなど。

ミュウツーは人間の実験によって生み出された悲劇のポケモンというストーリーが用意されており、クリア後に遭遇できる。つまり、最後の盛り上げポイントとなるポケモンがミュウツーだった。

## 最初のポケモン

最初に3匹の中から好きなポケモンを選ぶ。

それが主人公とライバルの切り札になるポケモンだ。

チャンピオンバトルでも最後に登場する。

主人公の名前とタイトルにはカラーが付けられていて、レッド、ブルー、グリーンの3色だった。ポケモンもそれに対応している。

色というのはとても普遍的なもので、それを採用したのも興味深い。

